"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitUntilNatGatewayDeleted = exports.waitForNatGatewayDeleted = void 0;
const util_waiter_1 = require("@aws-sdk/util-waiter");
const DescribeNatGatewaysCommand_1 = require("../commands/DescribeNatGatewaysCommand");
const checkState = async (client, input) => {
    let reason;
    try {
        const result = await client.send(new DescribeNatGatewaysCommand_1.DescribeNatGatewaysCommand(input));
        reason = result;
        try {
            const returnComparator = () => {
                const flat_1 = [].concat(...result.NatGateways);
                const projection_3 = flat_1.map((element_2) => {
                    return element_2.State;
                });
                return projection_3;
            };
            let allStringEq_5 = returnComparator().length > 0;
            for (const element_4 of returnComparator()) {
                allStringEq_5 = allStringEq_5 && element_4 == "deleted";
            }
            if (allStringEq_5) {
                return { state: util_waiter_1.WaiterState.SUCCESS, reason };
            }
        }
        catch (e) { }
    }
    catch (exception) {
        reason = exception;
        if (exception.name && exception.name == "NatGatewayNotFound") {
            return { state: util_waiter_1.WaiterState.SUCCESS, reason };
        }
    }
    return { state: util_waiter_1.WaiterState.RETRY, reason };
};
const waitForNatGatewayDeleted = async (params, input) => {
    const serviceDefaults = { minDelay: 15, maxDelay: 120 };
    return (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
};
exports.waitForNatGatewayDeleted = waitForNatGatewayDeleted;
const waitUntilNatGatewayDeleted = async (params, input) => {
    const serviceDefaults = { minDelay: 15, maxDelay: 120 };
    const result = await (0, util_waiter_1.createWaiter)({ ...serviceDefaults, ...params }, input, checkState);
    return (0, util_waiter_1.checkExceptions)(result);
};
exports.waitUntilNatGatewayDeleted = waitUntilNatGatewayDeleted;
