import { DescribeReservedInstancesModificationsCommand, } from "../commands/DescribeReservedInstancesModificationsCommand";
import { EC2Client } from "../EC2Client";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new DescribeReservedInstancesModificationsCommand(input), ...args);
};
export async function* paginateDescribeReservedInstancesModifications(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.NextToken = token;
        if (config.client instanceof EC2Client) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected EC2 | EC2Client");
        }
        yield page;
        const prevToken = token;
        token = page.NextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
