import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AcceptTransitGatewayPeeringAttachmentRequest,
  AcceptTransitGatewayPeeringAttachmentResult,
} from "../models/models_0";
export interface AcceptTransitGatewayPeeringAttachmentCommandInput
  extends AcceptTransitGatewayPeeringAttachmentRequest {}
export interface AcceptTransitGatewayPeeringAttachmentCommandOutput
  extends AcceptTransitGatewayPeeringAttachmentResult,
    __MetadataBearer {}
export declare class AcceptTransitGatewayPeeringAttachmentCommand extends $Command<
  AcceptTransitGatewayPeeringAttachmentCommandInput,
  AcceptTransitGatewayPeeringAttachmentCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AcceptTransitGatewayPeeringAttachmentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AcceptTransitGatewayPeeringAttachmentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AcceptTransitGatewayPeeringAttachmentCommandInput,
    AcceptTransitGatewayPeeringAttachmentCommandOutput
  >;
  private serialize;
  private deserialize;
}
