import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AcceptVpcEndpointConnectionsRequest,
  AcceptVpcEndpointConnectionsResult,
} from "../models/models_0";
export interface AcceptVpcEndpointConnectionsCommandInput
  extends AcceptVpcEndpointConnectionsRequest {}
export interface AcceptVpcEndpointConnectionsCommandOutput
  extends AcceptVpcEndpointConnectionsResult,
    __MetadataBearer {}
export declare class AcceptVpcEndpointConnectionsCommand extends $Command<
  AcceptVpcEndpointConnectionsCommandInput,
  AcceptVpcEndpointConnectionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AcceptVpcEndpointConnectionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AcceptVpcEndpointConnectionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AcceptVpcEndpointConnectionsCommandInput,
    AcceptVpcEndpointConnectionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
