import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateClientVpnTargetNetworkRequest,
  AssociateClientVpnTargetNetworkResult,
} from "../models/models_0";
export interface AssociateClientVpnTargetNetworkCommandInput
  extends AssociateClientVpnTargetNetworkRequest {}
export interface AssociateClientVpnTargetNetworkCommandOutput
  extends AssociateClientVpnTargetNetworkResult,
    __MetadataBearer {}
export declare class AssociateClientVpnTargetNetworkCommand extends $Command<
  AssociateClientVpnTargetNetworkCommandInput,
  AssociateClientVpnTargetNetworkCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateClientVpnTargetNetworkCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateClientVpnTargetNetworkCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateClientVpnTargetNetworkCommandInput,
    AssociateClientVpnTargetNetworkCommandOutput
  >;
  private serialize;
  private deserialize;
}
