import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateEnclaveCertificateIamRoleRequest,
  AssociateEnclaveCertificateIamRoleResult,
} from "../models/models_0";
export interface AssociateEnclaveCertificateIamRoleCommandInput
  extends AssociateEnclaveCertificateIamRoleRequest {}
export interface AssociateEnclaveCertificateIamRoleCommandOutput
  extends AssociateEnclaveCertificateIamRoleResult,
    __MetadataBearer {}
export declare class AssociateEnclaveCertificateIamRoleCommand extends $Command<
  AssociateEnclaveCertificateIamRoleCommandInput,
  AssociateEnclaveCertificateIamRoleCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateEnclaveCertificateIamRoleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateEnclaveCertificateIamRoleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateEnclaveCertificateIamRoleCommandInput,
    AssociateEnclaveCertificateIamRoleCommandOutput
  >;
  private serialize;
  private deserialize;
}
