import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateIpamResourceDiscoveryRequest,
  AssociateIpamResourceDiscoveryResult,
} from "../models/models_0";
export interface AssociateIpamResourceDiscoveryCommandInput
  extends AssociateIpamResourceDiscoveryRequest {}
export interface AssociateIpamResourceDiscoveryCommandOutput
  extends AssociateIpamResourceDiscoveryResult,
    __MetadataBearer {}
export declare class AssociateIpamResourceDiscoveryCommand extends $Command<
  AssociateIpamResourceDiscoveryCommandInput,
  AssociateIpamResourceDiscoveryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateIpamResourceDiscoveryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateIpamResourceDiscoveryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateIpamResourceDiscoveryCommandInput,
    AssociateIpamResourceDiscoveryCommandOutput
  >;
  private serialize;
  private deserialize;
}
