import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateNatGatewayAddressRequest,
  AssociateNatGatewayAddressResult,
} from "../models/models_0";
export interface AssociateNatGatewayAddressCommandInput
  extends AssociateNatGatewayAddressRequest {}
export interface AssociateNatGatewayAddressCommandOutput
  extends AssociateNatGatewayAddressResult,
    __MetadataBearer {}
export declare class AssociateNatGatewayAddressCommand extends $Command<
  AssociateNatGatewayAddressCommandInput,
  AssociateNatGatewayAddressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateNatGatewayAddressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateNatGatewayAddressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateNatGatewayAddressCommandInput,
    AssociateNatGatewayAddressCommandOutput
  >;
  private serialize;
  private deserialize;
}
