import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AssociateTrunkInterfaceRequest,
  AssociateTrunkInterfaceResult,
} from "../models/models_0";
export interface AssociateTrunkInterfaceCommandInput
  extends AssociateTrunkInterfaceRequest {}
export interface AssociateTrunkInterfaceCommandOutput
  extends AssociateTrunkInterfaceResult,
    __MetadataBearer {}
export declare class AssociateTrunkInterfaceCommand extends $Command<
  AssociateTrunkInterfaceCommandInput,
  AssociateTrunkInterfaceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AssociateTrunkInterfaceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateTrunkInterfaceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateTrunkInterfaceCommandInput,
    AssociateTrunkInterfaceCommandOutput
  >;
  private serialize;
  private deserialize;
}
