import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { AttachInternetGatewayRequest } from "../models/models_0";
export interface AttachInternetGatewayCommandInput
  extends AttachInternetGatewayRequest {}
export interface AttachInternetGatewayCommandOutput extends __MetadataBearer {}
export declare class AttachInternetGatewayCommand extends $Command<
  AttachInternetGatewayCommandInput,
  AttachInternetGatewayCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AttachInternetGatewayCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AttachInternetGatewayCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AttachInternetGatewayCommandInput,
    AttachInternetGatewayCommandOutput
  >;
  private serialize;
  private deserialize;
}
