import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  AuthorizeSecurityGroupEgressRequest,
  AuthorizeSecurityGroupEgressResult,
} from "../models/models_0";
export interface AuthorizeSecurityGroupEgressCommandInput
  extends AuthorizeSecurityGroupEgressRequest {}
export interface AuthorizeSecurityGroupEgressCommandOutput
  extends AuthorizeSecurityGroupEgressResult,
    __MetadataBearer {}
export declare class AuthorizeSecurityGroupEgressCommand extends $Command<
  AuthorizeSecurityGroupEgressCommandInput,
  AuthorizeSecurityGroupEgressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: AuthorizeSecurityGroupEgressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AuthorizeSecurityGroupEgressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AuthorizeSecurityGroupEgressCommandInput,
    AuthorizeSecurityGroupEgressCommandOutput
  >;
  private serialize;
  private deserialize;
}
