import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { CopyFpgaImageRequest, CopyFpgaImageResult } from "../models/models_0";
export interface CopyFpgaImageCommandInput extends CopyFpgaImageRequest {}
export interface CopyFpgaImageCommandOutput
  extends CopyFpgaImageResult,
    __MetadataBearer {}
export declare class CopyFpgaImageCommand extends $Command<
  CopyFpgaImageCommandInput,
  CopyFpgaImageCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CopyFpgaImageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CopyFpgaImageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CopyFpgaImageCommandInput, CopyFpgaImageCommandOutput>;
  private serialize;
  private deserialize;
}
