import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { CopyImageRequest, CopyImageResult } from "../models/models_0";
export interface CopyImageCommandInput extends CopyImageRequest {}
export interface CopyImageCommandOutput
  extends CopyImageResult,
    __MetadataBearer {}
export declare class CopyImageCommand extends $Command<
  CopyImageCommandInput,
  CopyImageCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CopyImageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CopyImageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CopyImageCommandInput, CopyImageCommandOutput>;
  private serialize;
  private deserialize;
}
