import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateCarrierGatewayRequest,
  CreateCarrierGatewayResult,
} from "../models/models_0";
export interface CreateCarrierGatewayCommandInput
  extends CreateCarrierGatewayRequest {}
export interface CreateCarrierGatewayCommandOutput
  extends CreateCarrierGatewayResult,
    __MetadataBearer {}
export declare class CreateCarrierGatewayCommand extends $Command<
  CreateCarrierGatewayCommandInput,
  CreateCarrierGatewayCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateCarrierGatewayCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCarrierGatewayCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCarrierGatewayCommandInput,
    CreateCarrierGatewayCommandOutput
  >;
  private serialize;
  private deserialize;
}
