import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateClientVpnEndpointRequest,
  CreateClientVpnEndpointResult,
} from "../models/models_1";
export interface CreateClientVpnEndpointCommandInput
  extends CreateClientVpnEndpointRequest {}
export interface CreateClientVpnEndpointCommandOutput
  extends CreateClientVpnEndpointResult,
    __MetadataBearer {}
export declare class CreateClientVpnEndpointCommand extends $Command<
  CreateClientVpnEndpointCommandInput,
  CreateClientVpnEndpointCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateClientVpnEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateClientVpnEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateClientVpnEndpointCommandInput,
    CreateClientVpnEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
