import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateEgressOnlyInternetGatewayRequest,
  CreateEgressOnlyInternetGatewayResult,
} from "../models/models_1";
export interface CreateEgressOnlyInternetGatewayCommandInput
  extends CreateEgressOnlyInternetGatewayRequest {}
export interface CreateEgressOnlyInternetGatewayCommandOutput
  extends CreateEgressOnlyInternetGatewayResult,
    __MetadataBearer {}
export declare class CreateEgressOnlyInternetGatewayCommand extends $Command<
  CreateEgressOnlyInternetGatewayCommandInput,
  CreateEgressOnlyInternetGatewayCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateEgressOnlyInternetGatewayCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateEgressOnlyInternetGatewayCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateEgressOnlyInternetGatewayCommandInput,
    CreateEgressOnlyInternetGatewayCommandOutput
  >;
  private serialize;
  private deserialize;
}
