import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateLocalGatewayRouteTableRequest,
  CreateLocalGatewayRouteTableResult,
} from "../models/models_1";
export interface CreateLocalGatewayRouteTableCommandInput
  extends CreateLocalGatewayRouteTableRequest {}
export interface CreateLocalGatewayRouteTableCommandOutput
  extends CreateLocalGatewayRouteTableResult,
    __MetadataBearer {}
export declare class CreateLocalGatewayRouteTableCommand extends $Command<
  CreateLocalGatewayRouteTableCommandInput,
  CreateLocalGatewayRouteTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateLocalGatewayRouteTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateLocalGatewayRouteTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateLocalGatewayRouteTableCommandInput,
    CreateLocalGatewayRouteTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
