import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateManagedPrefixListRequest,
  CreateManagedPrefixListResult,
} from "../models/models_1";
export interface CreateManagedPrefixListCommandInput
  extends CreateManagedPrefixListRequest {}
export interface CreateManagedPrefixListCommandOutput
  extends CreateManagedPrefixListResult,
    __MetadataBearer {}
export declare class CreateManagedPrefixListCommand extends $Command<
  CreateManagedPrefixListCommandInput,
  CreateManagedPrefixListCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateManagedPrefixListCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateManagedPrefixListCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateManagedPrefixListCommandInput,
    CreateManagedPrefixListCommandOutput
  >;
  private serialize;
  private deserialize;
}
