import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateTransitGatewayMulticastDomainRequest,
  CreateTransitGatewayMulticastDomainResult,
} from "../models/models_2";
export interface CreateTransitGatewayMulticastDomainCommandInput
  extends CreateTransitGatewayMulticastDomainRequest {}
export interface CreateTransitGatewayMulticastDomainCommandOutput
  extends CreateTransitGatewayMulticastDomainResult,
    __MetadataBearer {}
export declare class CreateTransitGatewayMulticastDomainCommand extends $Command<
  CreateTransitGatewayMulticastDomainCommandInput,
  CreateTransitGatewayMulticastDomainCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateTransitGatewayMulticastDomainCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateTransitGatewayMulticastDomainCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateTransitGatewayMulticastDomainCommandInput,
    CreateTransitGatewayMulticastDomainCommandOutput
  >;
  private serialize;
  private deserialize;
}
