import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateTransitGatewayPolicyTableRequest,
  CreateTransitGatewayPolicyTableResult,
} from "../models/models_2";
export interface CreateTransitGatewayPolicyTableCommandInput
  extends CreateTransitGatewayPolicyTableRequest {}
export interface CreateTransitGatewayPolicyTableCommandOutput
  extends CreateTransitGatewayPolicyTableResult,
    __MetadataBearer {}
export declare class CreateTransitGatewayPolicyTableCommand extends $Command<
  CreateTransitGatewayPolicyTableCommandInput,
  CreateTransitGatewayPolicyTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateTransitGatewayPolicyTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateTransitGatewayPolicyTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateTransitGatewayPolicyTableCommandInput,
    CreateTransitGatewayPolicyTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
