import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  CreateVpcPeeringConnectionRequest,
  CreateVpcPeeringConnectionResult,
} from "../models/models_2";
export interface CreateVpcPeeringConnectionCommandInput
  extends CreateVpcPeeringConnectionRequest {}
export interface CreateVpcPeeringConnectionCommandOutput
  extends CreateVpcPeeringConnectionResult,
    __MetadataBearer {}
export declare class CreateVpcPeeringConnectionCommand extends $Command<
  CreateVpcPeeringConnectionCommandInput,
  CreateVpcPeeringConnectionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: CreateVpcPeeringConnectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateVpcPeeringConnectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateVpcPeeringConnectionCommandInput,
    CreateVpcPeeringConnectionCommandOutput
  >;
  private serialize;
  private deserialize;
}
