import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteCarrierGatewayRequest,
  DeleteCarrierGatewayResult,
} from "../models/models_2";
export interface DeleteCarrierGatewayCommandInput
  extends DeleteCarrierGatewayRequest {}
export interface DeleteCarrierGatewayCommandOutput
  extends DeleteCarrierGatewayResult,
    __MetadataBearer {}
export declare class DeleteCarrierGatewayCommand extends $Command<
  DeleteCarrierGatewayCommandInput,
  DeleteCarrierGatewayCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteCarrierGatewayCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCarrierGatewayCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCarrierGatewayCommandInput,
    DeleteCarrierGatewayCommandOutput
  >;
  private serialize;
  private deserialize;
}
