import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteClientVpnEndpointRequest,
  DeleteClientVpnEndpointResult,
} from "../models/models_2";
export interface DeleteClientVpnEndpointCommandInput
  extends DeleteClientVpnEndpointRequest {}
export interface DeleteClientVpnEndpointCommandOutput
  extends DeleteClientVpnEndpointResult,
    __MetadataBearer {}
export declare class DeleteClientVpnEndpointCommand extends $Command<
  DeleteClientVpnEndpointCommandInput,
  DeleteClientVpnEndpointCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteClientVpnEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteClientVpnEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteClientVpnEndpointCommandInput,
    DeleteClientVpnEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
