import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteClientVpnRouteRequest,
  DeleteClientVpnRouteResult,
} from "../models/models_2";
export interface DeleteClientVpnRouteCommandInput
  extends DeleteClientVpnRouteRequest {}
export interface DeleteClientVpnRouteCommandOutput
  extends DeleteClientVpnRouteResult,
    __MetadataBearer {}
export declare class DeleteClientVpnRouteCommand extends $Command<
  DeleteClientVpnRouteCommandInput,
  DeleteClientVpnRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteClientVpnRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteClientVpnRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteClientVpnRouteCommandInput,
    DeleteClientVpnRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
