import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteNetworkAclRequest } from "../models/models_2";
export interface DeleteNetworkAclCommandInput extends DeleteNetworkAclRequest {}
export interface DeleteNetworkAclCommandOutput extends __MetadataBearer {}
export declare class DeleteNetworkAclCommand extends $Command<
  DeleteNetworkAclCommandInput,
  DeleteNetworkAclCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteNetworkAclCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteNetworkAclCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteNetworkAclCommandInput, DeleteNetworkAclCommandOutput>;
  private serialize;
  private deserialize;
}
