import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteNetworkAclEntryRequest } from "../models/models_2";
export interface DeleteNetworkAclEntryCommandInput
  extends DeleteNetworkAclEntryRequest {}
export interface DeleteNetworkAclEntryCommandOutput extends __MetadataBearer {}
export declare class DeleteNetworkAclEntryCommand extends $Command<
  DeleteNetworkAclEntryCommandInput,
  DeleteNetworkAclEntryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteNetworkAclEntryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteNetworkAclEntryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteNetworkAclEntryCommandInput,
    DeleteNetworkAclEntryCommandOutput
  >;
  private serialize;
  private deserialize;
}
