import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteNetworkInterfaceRequest } from "../models/models_2";
export interface DeleteNetworkInterfaceCommandInput
  extends DeleteNetworkInterfaceRequest {}
export interface DeleteNetworkInterfaceCommandOutput extends __MetadataBearer {}
export declare class DeleteNetworkInterfaceCommand extends $Command<
  DeleteNetworkInterfaceCommandInput,
  DeleteNetworkInterfaceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteNetworkInterfaceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteNetworkInterfaceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteNetworkInterfaceCommandInput,
    DeleteNetworkInterfaceCommandOutput
  >;
  private serialize;
  private deserialize;
}
