import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteNetworkInterfacePermissionRequest,
  DeleteNetworkInterfacePermissionResult,
} from "../models/models_2";
export interface DeleteNetworkInterfacePermissionCommandInput
  extends DeleteNetworkInterfacePermissionRequest {}
export interface DeleteNetworkInterfacePermissionCommandOutput
  extends DeleteNetworkInterfacePermissionResult,
    __MetadataBearer {}
export declare class DeleteNetworkInterfacePermissionCommand extends $Command<
  DeleteNetworkInterfacePermissionCommandInput,
  DeleteNetworkInterfacePermissionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteNetworkInterfacePermissionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteNetworkInterfacePermissionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteNetworkInterfacePermissionCommandInput,
    DeleteNetworkInterfacePermissionCommandOutput
  >;
  private serialize;
  private deserialize;
}
