import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteSpotDatafeedSubscriptionRequest } from "../models/models_2";
export interface DeleteSpotDatafeedSubscriptionCommandInput
  extends DeleteSpotDatafeedSubscriptionRequest {}
export interface DeleteSpotDatafeedSubscriptionCommandOutput
  extends __MetadataBearer {}
export declare class DeleteSpotDatafeedSubscriptionCommand extends $Command<
  DeleteSpotDatafeedSubscriptionCommandInput,
  DeleteSpotDatafeedSubscriptionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteSpotDatafeedSubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteSpotDatafeedSubscriptionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteSpotDatafeedSubscriptionCommandInput,
    DeleteSpotDatafeedSubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
