import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteTrafficMirrorSessionRequest } from "../models/models_2";
import { DeleteTrafficMirrorSessionResult } from "../models/models_3";
export interface DeleteTrafficMirrorSessionCommandInput
  extends DeleteTrafficMirrorSessionRequest {}
export interface DeleteTrafficMirrorSessionCommandOutput
  extends DeleteTrafficMirrorSessionResult,
    __MetadataBearer {}
export declare class DeleteTrafficMirrorSessionCommand extends $Command<
  DeleteTrafficMirrorSessionCommandInput,
  DeleteTrafficMirrorSessionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTrafficMirrorSessionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTrafficMirrorSessionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTrafficMirrorSessionCommandInput,
    DeleteTrafficMirrorSessionCommandOutput
  >;
  private serialize;
  private deserialize;
}
