import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayConnectRequest,
  DeleteTransitGatewayConnectResult,
} from "../models/models_3";
export interface DeleteTransitGatewayConnectCommandInput
  extends DeleteTransitGatewayConnectRequest {}
export interface DeleteTransitGatewayConnectCommandOutput
  extends DeleteTransitGatewayConnectResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayConnectCommand extends $Command<
  DeleteTransitGatewayConnectCommandInput,
  DeleteTransitGatewayConnectCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayConnectCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayConnectCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayConnectCommandInput,
    DeleteTransitGatewayConnectCommandOutput
  >;
  private serialize;
  private deserialize;
}
