import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayPeeringAttachmentRequest,
  DeleteTransitGatewayPeeringAttachmentResult,
} from "../models/models_3";
export interface DeleteTransitGatewayPeeringAttachmentCommandInput
  extends DeleteTransitGatewayPeeringAttachmentRequest {}
export interface DeleteTransitGatewayPeeringAttachmentCommandOutput
  extends DeleteTransitGatewayPeeringAttachmentResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayPeeringAttachmentCommand extends $Command<
  DeleteTransitGatewayPeeringAttachmentCommandInput,
  DeleteTransitGatewayPeeringAttachmentCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayPeeringAttachmentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayPeeringAttachmentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayPeeringAttachmentCommandInput,
    DeleteTransitGatewayPeeringAttachmentCommandOutput
  >;
  private serialize;
  private deserialize;
}
