import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayPolicyTableRequest,
  DeleteTransitGatewayPolicyTableResult,
} from "../models/models_3";
export interface DeleteTransitGatewayPolicyTableCommandInput
  extends DeleteTransitGatewayPolicyTableRequest {}
export interface DeleteTransitGatewayPolicyTableCommandOutput
  extends DeleteTransitGatewayPolicyTableResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayPolicyTableCommand extends $Command<
  DeleteTransitGatewayPolicyTableCommandInput,
  DeleteTransitGatewayPolicyTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayPolicyTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayPolicyTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayPolicyTableCommandInput,
    DeleteTransitGatewayPolicyTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
