import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayRouteTableAnnouncementRequest,
  DeleteTransitGatewayRouteTableAnnouncementResult,
} from "../models/models_3";
export interface DeleteTransitGatewayRouteTableAnnouncementCommandInput
  extends DeleteTransitGatewayRouteTableAnnouncementRequest {}
export interface DeleteTransitGatewayRouteTableAnnouncementCommandOutput
  extends DeleteTransitGatewayRouteTableAnnouncementResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayRouteTableAnnouncementCommand extends $Command<
  DeleteTransitGatewayRouteTableAnnouncementCommandInput,
  DeleteTransitGatewayRouteTableAnnouncementCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayRouteTableAnnouncementCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayRouteTableAnnouncementCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayRouteTableAnnouncementCommandInput,
    DeleteTransitGatewayRouteTableAnnouncementCommandOutput
  >;
  private serialize;
  private deserialize;
}
