import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayRouteTableRequest,
  DeleteTransitGatewayRouteTableResult,
} from "../models/models_3";
export interface DeleteTransitGatewayRouteTableCommandInput
  extends DeleteTransitGatewayRouteTableRequest {}
export interface DeleteTransitGatewayRouteTableCommandOutput
  extends DeleteTransitGatewayRouteTableResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayRouteTableCommand extends $Command<
  DeleteTransitGatewayRouteTableCommandInput,
  DeleteTransitGatewayRouteTableCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayRouteTableCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayRouteTableCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayRouteTableCommandInput,
    DeleteTransitGatewayRouteTableCommandOutput
  >;
  private serialize;
  private deserialize;
}
