import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteTransitGatewayVpcAttachmentRequest,
  DeleteTransitGatewayVpcAttachmentResult,
} from "../models/models_3";
export interface DeleteTransitGatewayVpcAttachmentCommandInput
  extends DeleteTransitGatewayVpcAttachmentRequest {}
export interface DeleteTransitGatewayVpcAttachmentCommandOutput
  extends DeleteTransitGatewayVpcAttachmentResult,
    __MetadataBearer {}
export declare class DeleteTransitGatewayVpcAttachmentCommand extends $Command<
  DeleteTransitGatewayVpcAttachmentCommandInput,
  DeleteTransitGatewayVpcAttachmentCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteTransitGatewayVpcAttachmentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTransitGatewayVpcAttachmentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTransitGatewayVpcAttachmentCommandInput,
    DeleteTransitGatewayVpcAttachmentCommandOutput
  >;
  private serialize;
  private deserialize;
}
