import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeleteVerifiedAccessTrustProviderRequest,
  DeleteVerifiedAccessTrustProviderResult,
} from "../models/models_3";
export interface DeleteVerifiedAccessTrustProviderCommandInput
  extends DeleteVerifiedAccessTrustProviderRequest {}
export interface DeleteVerifiedAccessTrustProviderCommandOutput
  extends DeleteVerifiedAccessTrustProviderResult,
    __MetadataBearer {}
export declare class DeleteVerifiedAccessTrustProviderCommand extends $Command<
  DeleteVerifiedAccessTrustProviderCommandInput,
  DeleteVerifiedAccessTrustProviderCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteVerifiedAccessTrustProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVerifiedAccessTrustProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVerifiedAccessTrustProviderCommandInput,
    DeleteVerifiedAccessTrustProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
