import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteVpcRequest } from "../models/models_3";
export interface DeleteVpcCommandInput extends DeleteVpcRequest {}
export interface DeleteVpcCommandOutput extends __MetadataBearer {}
export declare class DeleteVpcCommand extends $Command<
  DeleteVpcCommandInput,
  DeleteVpcCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteVpcCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVpcCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteVpcCommandInput, DeleteVpcCommandOutput>;
  private serialize;
  private deserialize;
}
