import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteVpnConnectionRouteRequest } from "../models/models_3";
export interface DeleteVpnConnectionRouteCommandInput
  extends DeleteVpnConnectionRouteRequest {}
export interface DeleteVpnConnectionRouteCommandOutput
  extends __MetadataBearer {}
export declare class DeleteVpnConnectionRouteCommand extends $Command<
  DeleteVpnConnectionRouteCommandInput,
  DeleteVpnConnectionRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteVpnConnectionRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVpnConnectionRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteVpnConnectionRouteCommandInput,
    DeleteVpnConnectionRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
