import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DeleteVpnGatewayRequest } from "../models/models_3";
export interface DeleteVpnGatewayCommandInput extends DeleteVpnGatewayRequest {}
export interface DeleteVpnGatewayCommandOutput extends __MetadataBearer {}
export declare class DeleteVpnGatewayCommand extends $Command<
  DeleteVpnGatewayCommandInput,
  DeleteVpnGatewayCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeleteVpnGatewayCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteVpnGatewayCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteVpnGatewayCommandInput, DeleteVpnGatewayCommandOutput>;
  private serialize;
  private deserialize;
}
