import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DeprovisionByoipCidrRequest,
  DeprovisionByoipCidrResult,
} from "../models/models_3";
export interface DeprovisionByoipCidrCommandInput
  extends DeprovisionByoipCidrRequest {}
export interface DeprovisionByoipCidrCommandOutput
  extends DeprovisionByoipCidrResult,
    __MetadataBearer {}
export declare class DeprovisionByoipCidrCommand extends $Command<
  DeprovisionByoipCidrCommandInput,
  DeprovisionByoipCidrCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DeprovisionByoipCidrCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeprovisionByoipCidrCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeprovisionByoipCidrCommandInput,
    DeprovisionByoipCidrCommandOutput
  >;
  private serialize;
  private deserialize;
}
