import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeCapacityReservationFleetsRequest,
  DescribeCapacityReservationFleetsResult,
} from "../models/models_3";
export interface DescribeCapacityReservationFleetsCommandInput
  extends DescribeCapacityReservationFleetsRequest {}
export interface DescribeCapacityReservationFleetsCommandOutput
  extends DescribeCapacityReservationFleetsResult,
    __MetadataBearer {}
export declare class DescribeCapacityReservationFleetsCommand extends $Command<
  DescribeCapacityReservationFleetsCommandInput,
  DescribeCapacityReservationFleetsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeCapacityReservationFleetsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCapacityReservationFleetsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCapacityReservationFleetsCommandInput,
    DescribeCapacityReservationFleetsCommandOutput
  >;
  private serialize;
  private deserialize;
}
