import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeClientVpnRoutesRequest,
  DescribeClientVpnRoutesResult,
} from "../models/models_3";
export interface DescribeClientVpnRoutesCommandInput
  extends DescribeClientVpnRoutesRequest {}
export interface DescribeClientVpnRoutesCommandOutput
  extends DescribeClientVpnRoutesResult,
    __MetadataBearer {}
export declare class DescribeClientVpnRoutesCommand extends $Command<
  DescribeClientVpnRoutesCommandInput,
  DescribeClientVpnRoutesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeClientVpnRoutesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeClientVpnRoutesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeClientVpnRoutesCommandInput,
    DescribeClientVpnRoutesCommandOutput
  >;
  private serialize;
  private deserialize;
}
