import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeClientVpnTargetNetworksRequest,
  DescribeClientVpnTargetNetworksResult,
} from "../models/models_3";
export interface DescribeClientVpnTargetNetworksCommandInput
  extends DescribeClientVpnTargetNetworksRequest {}
export interface DescribeClientVpnTargetNetworksCommandOutput
  extends DescribeClientVpnTargetNetworksResult,
    __MetadataBearer {}
export declare class DescribeClientVpnTargetNetworksCommand extends $Command<
  DescribeClientVpnTargetNetworksCommandInput,
  DescribeClientVpnTargetNetworksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeClientVpnTargetNetworksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeClientVpnTargetNetworksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeClientVpnTargetNetworksCommandInput,
    DescribeClientVpnTargetNetworksCommandOutput
  >;
  private serialize;
  private deserialize;
}
