import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeCoipPoolsRequest,
  DescribeCoipPoolsResult,
} from "../models/models_3";
export interface DescribeCoipPoolsCommandInput
  extends DescribeCoipPoolsRequest {}
export interface DescribeCoipPoolsCommandOutput
  extends DescribeCoipPoolsResult,
    __MetadataBearer {}
export declare class DescribeCoipPoolsCommand extends $Command<
  DescribeCoipPoolsCommandInput,
  DescribeCoipPoolsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeCoipPoolsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCoipPoolsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeCoipPoolsCommandInput, DescribeCoipPoolsCommandOutput>;
  private serialize;
  private deserialize;
}
