import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeExportImageTasksRequest,
  DescribeExportImageTasksResult,
} from "../models/models_3";
export interface DescribeExportImageTasksCommandInput
  extends DescribeExportImageTasksRequest {}
export interface DescribeExportImageTasksCommandOutput
  extends DescribeExportImageTasksResult,
    __MetadataBearer {}
export declare class DescribeExportImageTasksCommand extends $Command<
  DescribeExportImageTasksCommandInput,
  DescribeExportImageTasksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeExportImageTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeExportImageTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeExportImageTasksCommandInput,
    DescribeExportImageTasksCommandOutput
  >;
  private serialize;
  private deserialize;
}
