import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeFastLaunchImagesRequest,
  DescribeFastLaunchImagesResult,
} from "../models/models_3";
export interface DescribeFastLaunchImagesCommandInput
  extends DescribeFastLaunchImagesRequest {}
export interface DescribeFastLaunchImagesCommandOutput
  extends DescribeFastLaunchImagesResult,
    __MetadataBearer {}
export declare class DescribeFastLaunchImagesCommand extends $Command<
  DescribeFastLaunchImagesCommandInput,
  DescribeFastLaunchImagesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeFastLaunchImagesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeFastLaunchImagesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeFastLaunchImagesCommandInput,
    DescribeFastLaunchImagesCommandOutput
  >;
  private serialize;
  private deserialize;
}
