import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeIdentityIdFormatRequest,
  DescribeIdentityIdFormatResult,
} from "../models/models_3";
export interface DescribeIdentityIdFormatCommandInput
  extends DescribeIdentityIdFormatRequest {}
export interface DescribeIdentityIdFormatCommandOutput
  extends DescribeIdentityIdFormatResult,
    __MetadataBearer {}
export declare class DescribeIdentityIdFormatCommand extends $Command<
  DescribeIdentityIdFormatCommandInput,
  DescribeIdentityIdFormatCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeIdentityIdFormatCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeIdentityIdFormatCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeIdentityIdFormatCommandInput,
    DescribeIdentityIdFormatCommandOutput
  >;
  private serialize;
  private deserialize;
}
