import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeImportSnapshotTasksRequest,
  DescribeImportSnapshotTasksResult,
} from "../models/models_3";
export interface DescribeImportSnapshotTasksCommandInput
  extends DescribeImportSnapshotTasksRequest {}
export interface DescribeImportSnapshotTasksCommandOutput
  extends DescribeImportSnapshotTasksResult,
    __MetadataBearer {}
export declare class DescribeImportSnapshotTasksCommand extends $Command<
  DescribeImportSnapshotTasksCommandInput,
  DescribeImportSnapshotTasksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeImportSnapshotTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeImportSnapshotTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeImportSnapshotTasksCommandInput,
    DescribeImportSnapshotTasksCommandOutput
  >;
  private serialize;
  private deserialize;
}
