import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeIpamResourceDiscoveriesRequest,
  DescribeIpamResourceDiscoveriesResult,
} from "../models/models_4";
export interface DescribeIpamResourceDiscoveriesCommandInput
  extends DescribeIpamResourceDiscoveriesRequest {}
export interface DescribeIpamResourceDiscoveriesCommandOutput
  extends DescribeIpamResourceDiscoveriesResult,
    __MetadataBearer {}
export declare class DescribeIpamResourceDiscoveriesCommand extends $Command<
  DescribeIpamResourceDiscoveriesCommandInput,
  DescribeIpamResourceDiscoveriesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeIpamResourceDiscoveriesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeIpamResourceDiscoveriesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeIpamResourceDiscoveriesCommandInput,
    DescribeIpamResourceDiscoveriesCommandOutput
  >;
  private serialize;
  private deserialize;
}
