import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeLaunchTemplatesRequest,
  DescribeLaunchTemplatesResult,
} from "../models/models_4";
export interface DescribeLaunchTemplatesCommandInput
  extends DescribeLaunchTemplatesRequest {}
export interface DescribeLaunchTemplatesCommandOutput
  extends DescribeLaunchTemplatesResult,
    __MetadataBearer {}
export declare class DescribeLaunchTemplatesCommand extends $Command<
  DescribeLaunchTemplatesCommandInput,
  DescribeLaunchTemplatesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeLaunchTemplatesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeLaunchTemplatesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeLaunchTemplatesCommandInput,
    DescribeLaunchTemplatesCommandOutput
  >;
  private serialize;
  private deserialize;
}
