import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeNetworkInsightsAccessScopeAnalysesRequest,
  DescribeNetworkInsightsAccessScopeAnalysesResult,
} from "../models/models_4";
export interface DescribeNetworkInsightsAccessScopeAnalysesCommandInput
  extends DescribeNetworkInsightsAccessScopeAnalysesRequest {}
export interface DescribeNetworkInsightsAccessScopeAnalysesCommandOutput
  extends DescribeNetworkInsightsAccessScopeAnalysesResult,
    __MetadataBearer {}
export declare class DescribeNetworkInsightsAccessScopeAnalysesCommand extends $Command<
  DescribeNetworkInsightsAccessScopeAnalysesCommandInput,
  DescribeNetworkInsightsAccessScopeAnalysesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeNetworkInsightsAccessScopeAnalysesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeNetworkInsightsAccessScopeAnalysesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeNetworkInsightsAccessScopeAnalysesCommandInput,
    DescribeNetworkInsightsAccessScopeAnalysesCommandOutput
  >;
  private serialize;
  private deserialize;
}
