import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeNetworkInsightsAnalysesRequest,
  DescribeNetworkInsightsAnalysesResult,
} from "../models/models_4";
export interface DescribeNetworkInsightsAnalysesCommandInput
  extends DescribeNetworkInsightsAnalysesRequest {}
export interface DescribeNetworkInsightsAnalysesCommandOutput
  extends DescribeNetworkInsightsAnalysesResult,
    __MetadataBearer {}
export declare class DescribeNetworkInsightsAnalysesCommand extends $Command<
  DescribeNetworkInsightsAnalysesCommandInput,
  DescribeNetworkInsightsAnalysesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeNetworkInsightsAnalysesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeNetworkInsightsAnalysesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeNetworkInsightsAnalysesCommandInput,
    DescribeNetworkInsightsAnalysesCommandOutput
  >;
  private serialize;
  private deserialize;
}
