import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeSnapshotAttributeRequest,
  DescribeSnapshotAttributeResult,
} from "../models/models_4";
export interface DescribeSnapshotAttributeCommandInput
  extends DescribeSnapshotAttributeRequest {}
export interface DescribeSnapshotAttributeCommandOutput
  extends DescribeSnapshotAttributeResult,
    __MetadataBearer {}
export declare class DescribeSnapshotAttributeCommand extends $Command<
  DescribeSnapshotAttributeCommandInput,
  DescribeSnapshotAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeSnapshotAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeSnapshotAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeSnapshotAttributeCommandInput,
    DescribeSnapshotAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
