import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeSnapshotTierStatusRequest,
  DescribeSnapshotTierStatusResult,
} from "../models/models_4";
export interface DescribeSnapshotTierStatusCommandInput
  extends DescribeSnapshotTierStatusRequest {}
export interface DescribeSnapshotTierStatusCommandOutput
  extends DescribeSnapshotTierStatusResult,
    __MetadataBearer {}
export declare class DescribeSnapshotTierStatusCommand extends $Command<
  DescribeSnapshotTierStatusCommandInput,
  DescribeSnapshotTierStatusCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeSnapshotTierStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeSnapshotTierStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeSnapshotTierStatusCommandInput,
    DescribeSnapshotTierStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
