import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeStoreImageTasksRequest,
  DescribeStoreImageTasksResult,
} from "../models/models_4";
export interface DescribeStoreImageTasksCommandInput
  extends DescribeStoreImageTasksRequest {}
export interface DescribeStoreImageTasksCommandOutput
  extends DescribeStoreImageTasksResult,
    __MetadataBearer {}
export declare class DescribeStoreImageTasksCommand extends $Command<
  DescribeStoreImageTasksCommandInput,
  DescribeStoreImageTasksCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeStoreImageTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeStoreImageTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeStoreImageTasksCommandInput,
    DescribeStoreImageTasksCommandOutput
  >;
  private serialize;
  private deserialize;
}
