import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeTrafficMirrorTargetsRequest,
  DescribeTrafficMirrorTargetsResult,
} from "../models/models_4";
export interface DescribeTrafficMirrorTargetsCommandInput
  extends DescribeTrafficMirrorTargetsRequest {}
export interface DescribeTrafficMirrorTargetsCommandOutput
  extends DescribeTrafficMirrorTargetsResult,
    __MetadataBearer {}
export declare class DescribeTrafficMirrorTargetsCommand extends $Command<
  DescribeTrafficMirrorTargetsCommandInput,
  DescribeTrafficMirrorTargetsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeTrafficMirrorTargetsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTrafficMirrorTargetsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTrafficMirrorTargetsCommandInput,
    DescribeTrafficMirrorTargetsCommandOutput
  >;
  private serialize;
  private deserialize;
}
