import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeTransitGatewaysRequest,
  DescribeTransitGatewaysResult,
} from "../models/models_4";
export interface DescribeTransitGatewaysCommandInput
  extends DescribeTransitGatewaysRequest {}
export interface DescribeTransitGatewaysCommandOutput
  extends DescribeTransitGatewaysResult,
    __MetadataBearer {}
export declare class DescribeTransitGatewaysCommand extends $Command<
  DescribeTransitGatewaysCommandInput,
  DescribeTransitGatewaysCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeTransitGatewaysCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeTransitGatewaysCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeTransitGatewaysCommandInput,
    DescribeTransitGatewaysCommandOutput
  >;
  private serialize;
  private deserialize;
}
