import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DescribeVolumeStatusRequest } from "../models/models_4";
import { DescribeVolumeStatusResult } from "../models/models_5";
export interface DescribeVolumeStatusCommandInput
  extends DescribeVolumeStatusRequest {}
export interface DescribeVolumeStatusCommandOutput
  extends DescribeVolumeStatusResult,
    __MetadataBearer {}
export declare class DescribeVolumeStatusCommand extends $Command<
  DescribeVolumeStatusCommandInput,
  DescribeVolumeStatusCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeVolumeStatusCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeVolumeStatusCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeVolumeStatusCommandInput,
    DescribeVolumeStatusCommandOutput
  >;
  private serialize;
  private deserialize;
}
