import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DescribeVpcClassicLinkRequest,
  DescribeVpcClassicLinkResult,
} from "../models/models_5";
export interface DescribeVpcClassicLinkCommandInput
  extends DescribeVpcClassicLinkRequest {}
export interface DescribeVpcClassicLinkCommandOutput
  extends DescribeVpcClassicLinkResult,
    __MetadataBearer {}
export declare class DescribeVpcClassicLinkCommand extends $Command<
  DescribeVpcClassicLinkCommandInput,
  DescribeVpcClassicLinkCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DescribeVpcClassicLinkCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeVpcClassicLinkCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeVpcClassicLinkCommandInput,
    DescribeVpcClassicLinkCommandOutput
  >;
  private serialize;
  private deserialize;
}
