import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DetachClassicLinkVpcRequest,
  DetachClassicLinkVpcResult,
} from "../models/models_5";
export interface DetachClassicLinkVpcCommandInput
  extends DetachClassicLinkVpcRequest {}
export interface DetachClassicLinkVpcCommandOutput
  extends DetachClassicLinkVpcResult,
    __MetadataBearer {}
export declare class DetachClassicLinkVpcCommand extends $Command<
  DetachClassicLinkVpcCommandInput,
  DetachClassicLinkVpcCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DetachClassicLinkVpcCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachClassicLinkVpcCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DetachClassicLinkVpcCommandInput,
    DetachClassicLinkVpcCommandOutput
  >;
  private serialize;
  private deserialize;
}
