import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { DetachNetworkInterfaceRequest } from "../models/models_5";
export interface DetachNetworkInterfaceCommandInput
  extends DetachNetworkInterfaceRequest {}
export interface DetachNetworkInterfaceCommandOutput extends __MetadataBearer {}
export declare class DetachNetworkInterfaceCommand extends $Command<
  DetachNetworkInterfaceCommandInput,
  DetachNetworkInterfaceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DetachNetworkInterfaceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachNetworkInterfaceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DetachNetworkInterfaceCommandInput,
    DetachNetworkInterfaceCommandOutput
  >;
  private serialize;
  private deserialize;
}
