import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DetachVerifiedAccessTrustProviderRequest,
  DetachVerifiedAccessTrustProviderResult,
} from "../models/models_5";
export interface DetachVerifiedAccessTrustProviderCommandInput
  extends DetachVerifiedAccessTrustProviderRequest {}
export interface DetachVerifiedAccessTrustProviderCommandOutput
  extends DetachVerifiedAccessTrustProviderResult,
    __MetadataBearer {}
export declare class DetachVerifiedAccessTrustProviderCommand extends $Command<
  DetachVerifiedAccessTrustProviderCommandInput,
  DetachVerifiedAccessTrustProviderCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DetachVerifiedAccessTrustProviderCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachVerifiedAccessTrustProviderCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DetachVerifiedAccessTrustProviderCommandInput,
    DetachVerifiedAccessTrustProviderCommandOutput
  >;
  private serialize;
  private deserialize;
}
