import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableAddressTransferRequest,
  DisableAddressTransferResult,
} from "../models/models_5";
export interface DisableAddressTransferCommandInput
  extends DisableAddressTransferRequest {}
export interface DisableAddressTransferCommandOutput
  extends DisableAddressTransferResult,
    __MetadataBearer {}
export declare class DisableAddressTransferCommand extends $Command<
  DisableAddressTransferCommandInput,
  DisableAddressTransferCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableAddressTransferCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableAddressTransferCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableAddressTransferCommandInput,
    DisableAddressTransferCommandOutput
  >;
  private serialize;
  private deserialize;
}
