import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableAwsNetworkPerformanceMetricSubscriptionRequest,
  DisableAwsNetworkPerformanceMetricSubscriptionResult,
} from "../models/models_5";
export interface DisableAwsNetworkPerformanceMetricSubscriptionCommandInput
  extends DisableAwsNetworkPerformanceMetricSubscriptionRequest {}
export interface DisableAwsNetworkPerformanceMetricSubscriptionCommandOutput
  extends DisableAwsNetworkPerformanceMetricSubscriptionResult,
    __MetadataBearer {}
export declare class DisableAwsNetworkPerformanceMetricSubscriptionCommand extends $Command<
  DisableAwsNetworkPerformanceMetricSubscriptionCommandInput,
  DisableAwsNetworkPerformanceMetricSubscriptionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableAwsNetworkPerformanceMetricSubscriptionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(
    input: DisableAwsNetworkPerformanceMetricSubscriptionCommandInput
  );
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableAwsNetworkPerformanceMetricSubscriptionCommandInput,
    DisableAwsNetworkPerformanceMetricSubscriptionCommandOutput
  >;
  private serialize;
  private deserialize;
}
