import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisableIpamOrganizationAdminAccountRequest,
  DisableIpamOrganizationAdminAccountResult,
} from "../models/models_5";
export interface DisableIpamOrganizationAdminAccountCommandInput
  extends DisableIpamOrganizationAdminAccountRequest {}
export interface DisableIpamOrganizationAdminAccountCommandOutput
  extends DisableIpamOrganizationAdminAccountResult,
    __MetadataBearer {}
export declare class DisableIpamOrganizationAdminAccountCommand extends $Command<
  DisableIpamOrganizationAdminAccountCommandInput,
  DisableIpamOrganizationAdminAccountCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisableIpamOrganizationAdminAccountCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisableIpamOrganizationAdminAccountCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisableIpamOrganizationAdminAccountCommandInput,
    DisableIpamOrganizationAdminAccountCommandOutput
  >;
  private serialize;
  private deserialize;
}
