import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateEnclaveCertificateIamRoleRequest,
  DisassociateEnclaveCertificateIamRoleResult,
} from "../models/models_5";
export interface DisassociateEnclaveCertificateIamRoleCommandInput
  extends DisassociateEnclaveCertificateIamRoleRequest {}
export interface DisassociateEnclaveCertificateIamRoleCommandOutput
  extends DisassociateEnclaveCertificateIamRoleResult,
    __MetadataBearer {}
export declare class DisassociateEnclaveCertificateIamRoleCommand extends $Command<
  DisassociateEnclaveCertificateIamRoleCommandInput,
  DisassociateEnclaveCertificateIamRoleCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateEnclaveCertificateIamRoleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateEnclaveCertificateIamRoleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateEnclaveCertificateIamRoleCommandInput,
    DisassociateEnclaveCertificateIamRoleCommandOutput
  >;
  private serialize;
  private deserialize;
}
