import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateIpamResourceDiscoveryRequest,
  DisassociateIpamResourceDiscoveryResult,
} from "../models/models_5";
export interface DisassociateIpamResourceDiscoveryCommandInput
  extends DisassociateIpamResourceDiscoveryRequest {}
export interface DisassociateIpamResourceDiscoveryCommandOutput
  extends DisassociateIpamResourceDiscoveryResult,
    __MetadataBearer {}
export declare class DisassociateIpamResourceDiscoveryCommand extends $Command<
  DisassociateIpamResourceDiscoveryCommandInput,
  DisassociateIpamResourceDiscoveryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateIpamResourceDiscoveryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateIpamResourceDiscoveryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateIpamResourceDiscoveryCommandInput,
    DisassociateIpamResourceDiscoveryCommandOutput
  >;
  private serialize;
  private deserialize;
}
