import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  DisassociateTransitGatewayMulticastDomainRequest,
  DisassociateTransitGatewayMulticastDomainResult,
} from "../models/models_5";
export interface DisassociateTransitGatewayMulticastDomainCommandInput
  extends DisassociateTransitGatewayMulticastDomainRequest {}
export interface DisassociateTransitGatewayMulticastDomainCommandOutput
  extends DisassociateTransitGatewayMulticastDomainResult,
    __MetadataBearer {}
export declare class DisassociateTransitGatewayMulticastDomainCommand extends $Command<
  DisassociateTransitGatewayMulticastDomainCommandInput,
  DisassociateTransitGatewayMulticastDomainCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: DisassociateTransitGatewayMulticastDomainCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DisassociateTransitGatewayMulticastDomainCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DisassociateTransitGatewayMulticastDomainCommandInput,
    DisassociateTransitGatewayMulticastDomainCommandOutput
  >;
  private serialize;
  private deserialize;
}
