import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableFastSnapshotRestoresRequest,
  EnableFastSnapshotRestoresResult,
} from "../models/models_5";
export interface EnableFastSnapshotRestoresCommandInput
  extends EnableFastSnapshotRestoresRequest {}
export interface EnableFastSnapshotRestoresCommandOutput
  extends EnableFastSnapshotRestoresResult,
    __MetadataBearer {}
export declare class EnableFastSnapshotRestoresCommand extends $Command<
  EnableFastSnapshotRestoresCommandInput,
  EnableFastSnapshotRestoresCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableFastSnapshotRestoresCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableFastSnapshotRestoresCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableFastSnapshotRestoresCommandInput,
    EnableFastSnapshotRestoresCommandOutput
  >;
  private serialize;
  private deserialize;
}
