import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableSerialConsoleAccessRequest,
  EnableSerialConsoleAccessResult,
} from "../models/models_5";
export interface EnableSerialConsoleAccessCommandInput
  extends EnableSerialConsoleAccessRequest {}
export interface EnableSerialConsoleAccessCommandOutput
  extends EnableSerialConsoleAccessResult,
    __MetadataBearer {}
export declare class EnableSerialConsoleAccessCommand extends $Command<
  EnableSerialConsoleAccessCommandInput,
  EnableSerialConsoleAccessCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableSerialConsoleAccessCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableSerialConsoleAccessCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableSerialConsoleAccessCommandInput,
    EnableSerialConsoleAccessCommandOutput
  >;
  private serialize;
  private deserialize;
}
