import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  EnableTransitGatewayRouteTablePropagationRequest,
  EnableTransitGatewayRouteTablePropagationResult,
} from "../models/models_5";
export interface EnableTransitGatewayRouteTablePropagationCommandInput
  extends EnableTransitGatewayRouteTablePropagationRequest {}
export interface EnableTransitGatewayRouteTablePropagationCommandOutput
  extends EnableTransitGatewayRouteTablePropagationResult,
    __MetadataBearer {}
export declare class EnableTransitGatewayRouteTablePropagationCommand extends $Command<
  EnableTransitGatewayRouteTablePropagationCommandInput,
  EnableTransitGatewayRouteTablePropagationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: EnableTransitGatewayRouteTablePropagationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: EnableTransitGatewayRouteTablePropagationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    EnableTransitGatewayRouteTablePropagationCommandInput,
    EnableTransitGatewayRouteTablePropagationCommandOutput
  >;
  private serialize;
  private deserialize;
}
