import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetGroupsForCapacityReservationRequest,
  GetGroupsForCapacityReservationResult,
} from "../models/models_5";
export interface GetGroupsForCapacityReservationCommandInput
  extends GetGroupsForCapacityReservationRequest {}
export interface GetGroupsForCapacityReservationCommandOutput
  extends GetGroupsForCapacityReservationResult,
    __MetadataBearer {}
export declare class GetGroupsForCapacityReservationCommand extends $Command<
  GetGroupsForCapacityReservationCommandInput,
  GetGroupsForCapacityReservationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetGroupsForCapacityReservationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetGroupsForCapacityReservationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetGroupsForCapacityReservationCommandInput,
    GetGroupsForCapacityReservationCommandOutput
  >;
  private serialize;
  private deserialize;
}
