import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetManagedPrefixListAssociationsRequest,
  GetManagedPrefixListAssociationsResult,
} from "../models/models_5";
export interface GetManagedPrefixListAssociationsCommandInput
  extends GetManagedPrefixListAssociationsRequest {}
export interface GetManagedPrefixListAssociationsCommandOutput
  extends GetManagedPrefixListAssociationsResult,
    __MetadataBearer {}
export declare class GetManagedPrefixListAssociationsCommand extends $Command<
  GetManagedPrefixListAssociationsCommandInput,
  GetManagedPrefixListAssociationsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetManagedPrefixListAssociationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetManagedPrefixListAssociationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetManagedPrefixListAssociationsCommandInput,
    GetManagedPrefixListAssociationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
