import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetNetworkInsightsAccessScopeAnalysisFindingsRequest,
  GetNetworkInsightsAccessScopeAnalysisFindingsResult,
} from "../models/models_5";
export interface GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput
  extends GetNetworkInsightsAccessScopeAnalysisFindingsRequest {}
export interface GetNetworkInsightsAccessScopeAnalysisFindingsCommandOutput
  extends GetNetworkInsightsAccessScopeAnalysisFindingsResult,
    __MetadataBearer {}
export declare class GetNetworkInsightsAccessScopeAnalysisFindingsCommand extends $Command<
  GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput,
  GetNetworkInsightsAccessScopeAnalysisFindingsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetNetworkInsightsAccessScopeAnalysisFindingsCommandInput,
    GetNetworkInsightsAccessScopeAnalysisFindingsCommandOutput
  >;
  private serialize;
  private deserialize;
}
