import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetNetworkInsightsAccessScopeContentRequest,
  GetNetworkInsightsAccessScopeContentResult,
} from "../models/models_5";
export interface GetNetworkInsightsAccessScopeContentCommandInput
  extends GetNetworkInsightsAccessScopeContentRequest {}
export interface GetNetworkInsightsAccessScopeContentCommandOutput
  extends GetNetworkInsightsAccessScopeContentResult,
    __MetadataBearer {}
export declare class GetNetworkInsightsAccessScopeContentCommand extends $Command<
  GetNetworkInsightsAccessScopeContentCommandInput,
  GetNetworkInsightsAccessScopeContentCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetNetworkInsightsAccessScopeContentCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetNetworkInsightsAccessScopeContentCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetNetworkInsightsAccessScopeContentCommandInput,
    GetNetworkInsightsAccessScopeContentCommandOutput
  >;
  private serialize;
  private deserialize;
}
