import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  GetVpnConnectionDeviceTypesRequest,
  GetVpnConnectionDeviceTypesResult,
} from "../models/models_5";
export interface GetVpnConnectionDeviceTypesCommandInput
  extends GetVpnConnectionDeviceTypesRequest {}
export interface GetVpnConnectionDeviceTypesCommandOutput
  extends GetVpnConnectionDeviceTypesResult,
    __MetadataBearer {}
export declare class GetVpnConnectionDeviceTypesCommand extends $Command<
  GetVpnConnectionDeviceTypesCommandInput,
  GetVpnConnectionDeviceTypesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: GetVpnConnectionDeviceTypesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetVpnConnectionDeviceTypesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetVpnConnectionDeviceTypesCommandInput,
    GetVpnConnectionDeviceTypesCommandOutput
  >;
  private serialize;
  private deserialize;
}
