import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ListImagesInRecycleBinRequest,
  ListImagesInRecycleBinResult,
} from "../models/models_5";
export interface ListImagesInRecycleBinCommandInput
  extends ListImagesInRecycleBinRequest {}
export interface ListImagesInRecycleBinCommandOutput
  extends ListImagesInRecycleBinResult,
    __MetadataBearer {}
export declare class ListImagesInRecycleBinCommand extends $Command<
  ListImagesInRecycleBinCommandInput,
  ListImagesInRecycleBinCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ListImagesInRecycleBinCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListImagesInRecycleBinCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListImagesInRecycleBinCommandInput,
    ListImagesInRecycleBinCommandOutput
  >;
  private serialize;
  private deserialize;
}
