import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ListSnapshotsInRecycleBinRequest,
  ListSnapshotsInRecycleBinResult,
} from "../models/models_5";
export interface ListSnapshotsInRecycleBinCommandInput
  extends ListSnapshotsInRecycleBinRequest {}
export interface ListSnapshotsInRecycleBinCommandOutput
  extends ListSnapshotsInRecycleBinResult,
    __MetadataBearer {}
export declare class ListSnapshotsInRecycleBinCommand extends $Command<
  ListSnapshotsInRecycleBinCommandInput,
  ListSnapshotsInRecycleBinCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ListSnapshotsInRecycleBinCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListSnapshotsInRecycleBinCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListSnapshotsInRecycleBinCommandInput,
    ListSnapshotsInRecycleBinCommandOutput
  >;
  private serialize;
  private deserialize;
}
