import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyAvailabilityZoneGroupRequest,
  ModifyAvailabilityZoneGroupResult,
} from "../models/models_6";
export interface ModifyAvailabilityZoneGroupCommandInput
  extends ModifyAvailabilityZoneGroupRequest {}
export interface ModifyAvailabilityZoneGroupCommandOutput
  extends ModifyAvailabilityZoneGroupResult,
    __MetadataBearer {}
export declare class ModifyAvailabilityZoneGroupCommand extends $Command<
  ModifyAvailabilityZoneGroupCommandInput,
  ModifyAvailabilityZoneGroupCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyAvailabilityZoneGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyAvailabilityZoneGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyAvailabilityZoneGroupCommandInput,
    ModifyAvailabilityZoneGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
