import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyCapacityReservationFleetRequest,
  ModifyCapacityReservationFleetResult,
} from "../models/models_6";
export interface ModifyCapacityReservationFleetCommandInput
  extends ModifyCapacityReservationFleetRequest {}
export interface ModifyCapacityReservationFleetCommandOutput
  extends ModifyCapacityReservationFleetResult,
    __MetadataBearer {}
export declare class ModifyCapacityReservationFleetCommand extends $Command<
  ModifyCapacityReservationFleetCommandInput,
  ModifyCapacityReservationFleetCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyCapacityReservationFleetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyCapacityReservationFleetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyCapacityReservationFleetCommandInput,
    ModifyCapacityReservationFleetCommandOutput
  >;
  private serialize;
  private deserialize;
}
