import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyClientVpnEndpointRequest,
  ModifyClientVpnEndpointResult,
} from "../models/models_6";
export interface ModifyClientVpnEndpointCommandInput
  extends ModifyClientVpnEndpointRequest {}
export interface ModifyClientVpnEndpointCommandOutput
  extends ModifyClientVpnEndpointResult,
    __MetadataBearer {}
export declare class ModifyClientVpnEndpointCommand extends $Command<
  ModifyClientVpnEndpointCommandInput,
  ModifyClientVpnEndpointCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyClientVpnEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyClientVpnEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyClientVpnEndpointCommandInput,
    ModifyClientVpnEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
