import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyDefaultCreditSpecificationRequest,
  ModifyDefaultCreditSpecificationResult,
} from "../models/models_6";
export interface ModifyDefaultCreditSpecificationCommandInput
  extends ModifyDefaultCreditSpecificationRequest {}
export interface ModifyDefaultCreditSpecificationCommandOutput
  extends ModifyDefaultCreditSpecificationResult,
    __MetadataBearer {}
export declare class ModifyDefaultCreditSpecificationCommand extends $Command<
  ModifyDefaultCreditSpecificationCommandInput,
  ModifyDefaultCreditSpecificationCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyDefaultCreditSpecificationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyDefaultCreditSpecificationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyDefaultCreditSpecificationCommandInput,
    ModifyDefaultCreditSpecificationCommandOutput
  >;
  private serialize;
  private deserialize;
}
