import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyFpgaImageAttributeRequest,
  ModifyFpgaImageAttributeResult,
} from "../models/models_6";
export interface ModifyFpgaImageAttributeCommandInput
  extends ModifyFpgaImageAttributeRequest {}
export interface ModifyFpgaImageAttributeCommandOutput
  extends ModifyFpgaImageAttributeResult,
    __MetadataBearer {}
export declare class ModifyFpgaImageAttributeCommand extends $Command<
  ModifyFpgaImageAttributeCommandInput,
  ModifyFpgaImageAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyFpgaImageAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyFpgaImageAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyFpgaImageAttributeCommandInput,
    ModifyFpgaImageAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
