import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifyIdFormatRequest } from "../models/models_6";
export interface ModifyIdFormatCommandInput extends ModifyIdFormatRequest {}
export interface ModifyIdFormatCommandOutput extends __MetadataBearer {}
export declare class ModifyIdFormatCommand extends $Command<
  ModifyIdFormatCommandInput,
  ModifyIdFormatCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyIdFormatCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyIdFormatCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ModifyIdFormatCommandInput, ModifyIdFormatCommandOutput>;
  private serialize;
  private deserialize;
}
