import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifyIdentityIdFormatRequest } from "../models/models_6";
export interface ModifyIdentityIdFormatCommandInput
  extends ModifyIdentityIdFormatRequest {}
export interface ModifyIdentityIdFormatCommandOutput extends __MetadataBearer {}
export declare class ModifyIdentityIdFormatCommand extends $Command<
  ModifyIdentityIdFormatCommandInput,
  ModifyIdentityIdFormatCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyIdentityIdFormatCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyIdentityIdFormatCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyIdentityIdFormatCommandInput,
    ModifyIdentityIdFormatCommandOutput
  >;
  private serialize;
  private deserialize;
}
