import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyInstanceEventStartTimeRequest,
  ModifyInstanceEventStartTimeResult,
} from "../models/models_6";
export interface ModifyInstanceEventStartTimeCommandInput
  extends ModifyInstanceEventStartTimeRequest {}
export interface ModifyInstanceEventStartTimeCommandOutput
  extends ModifyInstanceEventStartTimeResult,
    __MetadataBearer {}
export declare class ModifyInstanceEventStartTimeCommand extends $Command<
  ModifyInstanceEventStartTimeCommandInput,
  ModifyInstanceEventStartTimeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyInstanceEventStartTimeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyInstanceEventStartTimeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyInstanceEventStartTimeCommandInput,
    ModifyInstanceEventStartTimeCommandOutput
  >;
  private serialize;
  private deserialize;
}
