import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyInstanceMaintenanceOptionsRequest,
  ModifyInstanceMaintenanceOptionsResult,
} from "../models/models_6";
export interface ModifyInstanceMaintenanceOptionsCommandInput
  extends ModifyInstanceMaintenanceOptionsRequest {}
export interface ModifyInstanceMaintenanceOptionsCommandOutput
  extends ModifyInstanceMaintenanceOptionsResult,
    __MetadataBearer {}
export declare class ModifyInstanceMaintenanceOptionsCommand extends $Command<
  ModifyInstanceMaintenanceOptionsCommandInput,
  ModifyInstanceMaintenanceOptionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyInstanceMaintenanceOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyInstanceMaintenanceOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyInstanceMaintenanceOptionsCommandInput,
    ModifyInstanceMaintenanceOptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
