import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyInstanceMetadataOptionsRequest,
  ModifyInstanceMetadataOptionsResult,
} from "../models/models_6";
export interface ModifyInstanceMetadataOptionsCommandInput
  extends ModifyInstanceMetadataOptionsRequest {}
export interface ModifyInstanceMetadataOptionsCommandOutput
  extends ModifyInstanceMetadataOptionsResult,
    __MetadataBearer {}
export declare class ModifyInstanceMetadataOptionsCommand extends $Command<
  ModifyInstanceMetadataOptionsCommandInput,
  ModifyInstanceMetadataOptionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyInstanceMetadataOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyInstanceMetadataOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyInstanceMetadataOptionsCommandInput,
    ModifyInstanceMetadataOptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
