import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyIpamResourceCidrRequest,
  ModifyIpamResourceCidrResult,
} from "../models/models_6";
export interface ModifyIpamResourceCidrCommandInput
  extends ModifyIpamResourceCidrRequest {}
export interface ModifyIpamResourceCidrCommandOutput
  extends ModifyIpamResourceCidrResult,
    __MetadataBearer {}
export declare class ModifyIpamResourceCidrCommand extends $Command<
  ModifyIpamResourceCidrCommandInput,
  ModifyIpamResourceCidrCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyIpamResourceCidrCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyIpamResourceCidrCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyIpamResourceCidrCommandInput,
    ModifyIpamResourceCidrCommandOutput
  >;
  private serialize;
  private deserialize;
}
