import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyIpamResourceDiscoveryRequest,
  ModifyIpamResourceDiscoveryResult,
} from "../models/models_6";
export interface ModifyIpamResourceDiscoveryCommandInput
  extends ModifyIpamResourceDiscoveryRequest {}
export interface ModifyIpamResourceDiscoveryCommandOutput
  extends ModifyIpamResourceDiscoveryResult,
    __MetadataBearer {}
export declare class ModifyIpamResourceDiscoveryCommand extends $Command<
  ModifyIpamResourceDiscoveryCommandInput,
  ModifyIpamResourceDiscoveryCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyIpamResourceDiscoveryCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyIpamResourceDiscoveryCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyIpamResourceDiscoveryCommandInput,
    ModifyIpamResourceDiscoveryCommandOutput
  >;
  private serialize;
  private deserialize;
}
