import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyLaunchTemplateRequest,
  ModifyLaunchTemplateResult,
} from "../models/models_6";
export interface ModifyLaunchTemplateCommandInput
  extends ModifyLaunchTemplateRequest {}
export interface ModifyLaunchTemplateCommandOutput
  extends ModifyLaunchTemplateResult,
    __MetadataBearer {}
export declare class ModifyLaunchTemplateCommand extends $Command<
  ModifyLaunchTemplateCommandInput,
  ModifyLaunchTemplateCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyLaunchTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyLaunchTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyLaunchTemplateCommandInput,
    ModifyLaunchTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
