import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyManagedPrefixListRequest,
  ModifyManagedPrefixListResult,
} from "../models/models_6";
export interface ModifyManagedPrefixListCommandInput
  extends ModifyManagedPrefixListRequest {}
export interface ModifyManagedPrefixListCommandOutput
  extends ModifyManagedPrefixListResult,
    __MetadataBearer {}
export declare class ModifyManagedPrefixListCommand extends $Command<
  ModifyManagedPrefixListCommandInput,
  ModifyManagedPrefixListCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyManagedPrefixListCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyManagedPrefixListCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyManagedPrefixListCommandInput,
    ModifyManagedPrefixListCommandOutput
  >;
  private serialize;
  private deserialize;
}
