import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifySnapshotAttributeRequest } from "../models/models_6";
export interface ModifySnapshotAttributeCommandInput
  extends ModifySnapshotAttributeRequest {}
export interface ModifySnapshotAttributeCommandOutput
  extends __MetadataBearer {}
export declare class ModifySnapshotAttributeCommand extends $Command<
  ModifySnapshotAttributeCommandInput,
  ModifySnapshotAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifySnapshotAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifySnapshotAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifySnapshotAttributeCommandInput,
    ModifySnapshotAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
