import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifySpotFleetRequestRequest,
  ModifySpotFleetRequestResponse,
} from "../models/models_6";
export interface ModifySpotFleetRequestCommandInput
  extends ModifySpotFleetRequestRequest {}
export interface ModifySpotFleetRequestCommandOutput
  extends ModifySpotFleetRequestResponse,
    __MetadataBearer {}
export declare class ModifySpotFleetRequestCommand extends $Command<
  ModifySpotFleetRequestCommandInput,
  ModifySpotFleetRequestCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifySpotFleetRequestCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifySpotFleetRequestCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifySpotFleetRequestCommandInput,
    ModifySpotFleetRequestCommandOutput
  >;
  private serialize;
  private deserialize;
}
