import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyTransitGatewayPrefixListReferenceRequest,
  ModifyTransitGatewayPrefixListReferenceResult,
} from "../models/models_6";
export interface ModifyTransitGatewayPrefixListReferenceCommandInput
  extends ModifyTransitGatewayPrefixListReferenceRequest {}
export interface ModifyTransitGatewayPrefixListReferenceCommandOutput
  extends ModifyTransitGatewayPrefixListReferenceResult,
    __MetadataBearer {}
export declare class ModifyTransitGatewayPrefixListReferenceCommand extends $Command<
  ModifyTransitGatewayPrefixListReferenceCommandInput,
  ModifyTransitGatewayPrefixListReferenceCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyTransitGatewayPrefixListReferenceCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyTransitGatewayPrefixListReferenceCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyTransitGatewayPrefixListReferenceCommandInput,
    ModifyTransitGatewayPrefixListReferenceCommandOutput
  >;
  private serialize;
  private deserialize;
}
