import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyVerifiedAccessEndpointRequest,
  ModifyVerifiedAccessEndpointResult,
} from "../models/models_6";
export interface ModifyVerifiedAccessEndpointCommandInput
  extends ModifyVerifiedAccessEndpointRequest {}
export interface ModifyVerifiedAccessEndpointCommandOutput
  extends ModifyVerifiedAccessEndpointResult,
    __MetadataBearer {}
export declare class ModifyVerifiedAccessEndpointCommand extends $Command<
  ModifyVerifiedAccessEndpointCommandInput,
  ModifyVerifiedAccessEndpointCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVerifiedAccessEndpointCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVerifiedAccessEndpointCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyVerifiedAccessEndpointCommandInput,
    ModifyVerifiedAccessEndpointCommandOutput
  >;
  private serialize;
  private deserialize;
}
