import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyVerifiedAccessGroupPolicyRequest,
  ModifyVerifiedAccessGroupPolicyResult,
} from "../models/models_6";
export interface ModifyVerifiedAccessGroupPolicyCommandInput
  extends ModifyVerifiedAccessGroupPolicyRequest {}
export interface ModifyVerifiedAccessGroupPolicyCommandOutput
  extends ModifyVerifiedAccessGroupPolicyResult,
    __MetadataBearer {}
export declare class ModifyVerifiedAccessGroupPolicyCommand extends $Command<
  ModifyVerifiedAccessGroupPolicyCommandInput,
  ModifyVerifiedAccessGroupPolicyCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVerifiedAccessGroupPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVerifiedAccessGroupPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyVerifiedAccessGroupPolicyCommandInput,
    ModifyVerifiedAccessGroupPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
