import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ModifyVpcAttributeRequest } from "../models/models_6";
export interface ModifyVpcAttributeCommandInput
  extends ModifyVpcAttributeRequest {}
export interface ModifyVpcAttributeCommandOutput extends __MetadataBearer {}
export declare class ModifyVpcAttributeCommand extends $Command<
  ModifyVpcAttributeCommandInput,
  ModifyVpcAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVpcAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVpcAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ModifyVpcAttributeCommandInput, ModifyVpcAttributeCommandOutput>;
  private serialize;
  private deserialize;
}
