import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyVpnConnectionRequest,
  ModifyVpnConnectionResult,
} from "../models/models_6";
export interface ModifyVpnConnectionCommandInput
  extends ModifyVpnConnectionRequest {}
export interface ModifyVpnConnectionCommandOutput
  extends ModifyVpnConnectionResult,
    __MetadataBearer {}
export declare class ModifyVpnConnectionCommand extends $Command<
  ModifyVpnConnectionCommandInput,
  ModifyVpnConnectionCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVpnConnectionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVpnConnectionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ModifyVpnConnectionCommandInput, ModifyVpnConnectionCommandOutput>;
  private serialize;
  private deserialize;
}
