import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ModifyVpnConnectionOptionsRequest,
  ModifyVpnConnectionOptionsResult,
} from "../models/models_6";
export interface ModifyVpnConnectionOptionsCommandInput
  extends ModifyVpnConnectionOptionsRequest {}
export interface ModifyVpnConnectionOptionsCommandOutput
  extends ModifyVpnConnectionOptionsResult,
    __MetadataBearer {}
export declare class ModifyVpnConnectionOptionsCommand extends $Command<
  ModifyVpnConnectionOptionsCommandInput,
  ModifyVpnConnectionOptionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ModifyVpnConnectionOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ModifyVpnConnectionOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ModifyVpnConnectionOptionsCommandInput,
    ModifyVpnConnectionOptionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
