import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  MoveByoipCidrToIpamRequest,
  MoveByoipCidrToIpamResult,
} from "../models/models_6";
export interface MoveByoipCidrToIpamCommandInput
  extends MoveByoipCidrToIpamRequest {}
export interface MoveByoipCidrToIpamCommandOutput
  extends MoveByoipCidrToIpamResult,
    __MetadataBearer {}
export declare class MoveByoipCidrToIpamCommand extends $Command<
  MoveByoipCidrToIpamCommandInput,
  MoveByoipCidrToIpamCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: MoveByoipCidrToIpamCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: MoveByoipCidrToIpamCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<MoveByoipCidrToIpamCommandInput, MoveByoipCidrToIpamCommandOutput>;
  private serialize;
  private deserialize;
}
