import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ReplaceTransitGatewayRouteRequest,
  ReplaceTransitGatewayRouteResult,
} from "../models/models_6";
export interface ReplaceTransitGatewayRouteCommandInput
  extends ReplaceTransitGatewayRouteRequest {}
export interface ReplaceTransitGatewayRouteCommandOutput
  extends ReplaceTransitGatewayRouteResult,
    __MetadataBearer {}
export declare class ReplaceTransitGatewayRouteCommand extends $Command<
  ReplaceTransitGatewayRouteCommandInput,
  ReplaceTransitGatewayRouteCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ReplaceTransitGatewayRouteCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ReplaceTransitGatewayRouteCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ReplaceTransitGatewayRouteCommandInput,
    ReplaceTransitGatewayRouteCommandOutput
  >;
  private serialize;
  private deserialize;
}
