import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  RequestSpotFleetRequest,
  RequestSpotFleetResponse,
} from "../models/models_6";
export interface RequestSpotFleetCommandInput extends RequestSpotFleetRequest {}
export interface RequestSpotFleetCommandOutput
  extends RequestSpotFleetResponse,
    __MetadataBearer {}
export declare class RequestSpotFleetCommand extends $Command<
  RequestSpotFleetCommandInput,
  RequestSpotFleetCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: RequestSpotFleetCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RequestSpotFleetCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<RequestSpotFleetCommandInput, RequestSpotFleetCommandOutput>;
  private serialize;
  private deserialize;
}
