import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  ResetFpgaImageAttributeRequest,
  ResetFpgaImageAttributeResult,
} from "../models/models_6";
export interface ResetFpgaImageAttributeCommandInput
  extends ResetFpgaImageAttributeRequest {}
export interface ResetFpgaImageAttributeCommandOutput
  extends ResetFpgaImageAttributeResult,
    __MetadataBearer {}
export declare class ResetFpgaImageAttributeCommand extends $Command<
  ResetFpgaImageAttributeCommandInput,
  ResetFpgaImageAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ResetFpgaImageAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ResetFpgaImageAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ResetFpgaImageAttributeCommandInput,
    ResetFpgaImageAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
