import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ResetInstanceAttributeRequest } from "../models/models_6";
export interface ResetInstanceAttributeCommandInput
  extends ResetInstanceAttributeRequest {}
export interface ResetInstanceAttributeCommandOutput extends __MetadataBearer {}
export declare class ResetInstanceAttributeCommand extends $Command<
  ResetInstanceAttributeCommandInput,
  ResetInstanceAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ResetInstanceAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ResetInstanceAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ResetInstanceAttributeCommandInput,
    ResetInstanceAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
