import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { ResetNetworkInterfaceAttributeRequest } from "../models/models_6";
export interface ResetNetworkInterfaceAttributeCommandInput
  extends ResetNetworkInterfaceAttributeRequest {}
export interface ResetNetworkInterfaceAttributeCommandOutput
  extends __MetadataBearer {}
export declare class ResetNetworkInterfaceAttributeCommand extends $Command<
  ResetNetworkInterfaceAttributeCommandInput,
  ResetNetworkInterfaceAttributeCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: ResetNetworkInterfaceAttributeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ResetNetworkInterfaceAttributeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ResetNetworkInterfaceAttributeCommandInput,
    ResetNetworkInterfaceAttributeCommandOutput
  >;
  private serialize;
  private deserialize;
}
