import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  RevokeClientVpnIngressRequest,
  RevokeClientVpnIngressResult,
} from "../models/models_6";
export interface RevokeClientVpnIngressCommandInput
  extends RevokeClientVpnIngressRequest {}
export interface RevokeClientVpnIngressCommandOutput
  extends RevokeClientVpnIngressResult,
    __MetadataBearer {}
export declare class RevokeClientVpnIngressCommand extends $Command<
  RevokeClientVpnIngressCommandInput,
  RevokeClientVpnIngressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: RevokeClientVpnIngressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RevokeClientVpnIngressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RevokeClientVpnIngressCommandInput,
    RevokeClientVpnIngressCommandOutput
  >;
  private serialize;
  private deserialize;
}
