import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  StartNetworkInsightsAccessScopeAnalysisRequest,
  StartNetworkInsightsAccessScopeAnalysisResult,
} from "../models/models_6";
export interface StartNetworkInsightsAccessScopeAnalysisCommandInput
  extends StartNetworkInsightsAccessScopeAnalysisRequest {}
export interface StartNetworkInsightsAccessScopeAnalysisCommandOutput
  extends StartNetworkInsightsAccessScopeAnalysisResult,
    __MetadataBearer {}
export declare class StartNetworkInsightsAccessScopeAnalysisCommand extends $Command<
  StartNetworkInsightsAccessScopeAnalysisCommandInput,
  StartNetworkInsightsAccessScopeAnalysisCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: StartNetworkInsightsAccessScopeAnalysisCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartNetworkInsightsAccessScopeAnalysisCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartNetworkInsightsAccessScopeAnalysisCommandInput,
    StartNetworkInsightsAccessScopeAnalysisCommandOutput
  >;
  private serialize;
  private deserialize;
}
