import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  StartNetworkInsightsAnalysisRequest,
  StartNetworkInsightsAnalysisResult,
} from "../models/models_6";
export interface StartNetworkInsightsAnalysisCommandInput
  extends StartNetworkInsightsAnalysisRequest {}
export interface StartNetworkInsightsAnalysisCommandOutput
  extends StartNetworkInsightsAnalysisResult,
    __MetadataBearer {}
export declare class StartNetworkInsightsAnalysisCommand extends $Command<
  StartNetworkInsightsAnalysisCommandInput,
  StartNetworkInsightsAnalysisCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: StartNetworkInsightsAnalysisCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartNetworkInsightsAnalysisCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartNetworkInsightsAnalysisCommandInput,
    StartNetworkInsightsAnalysisCommandOutput
  >;
  private serialize;
  private deserialize;
}
