import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  TerminateClientVpnConnectionsRequest,
  TerminateClientVpnConnectionsResult,
} from "../models/models_6";
export interface TerminateClientVpnConnectionsCommandInput
  extends TerminateClientVpnConnectionsRequest {}
export interface TerminateClientVpnConnectionsCommandOutput
  extends TerminateClientVpnConnectionsResult,
    __MetadataBearer {}
export declare class TerminateClientVpnConnectionsCommand extends $Command<
  TerminateClientVpnConnectionsCommandInput,
  TerminateClientVpnConnectionsCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: TerminateClientVpnConnectionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: TerminateClientVpnConnectionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    TerminateClientVpnConnectionsCommandInput,
    TerminateClientVpnConnectionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
