import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import { UnassignPrivateIpAddressesRequest } from "../models/models_7";
export interface UnassignPrivateIpAddressesCommandInput
  extends UnassignPrivateIpAddressesRequest {}
export interface UnassignPrivateIpAddressesCommandOutput
  extends __MetadataBearer {}
export declare class UnassignPrivateIpAddressesCommand extends $Command<
  UnassignPrivateIpAddressesCommandInput,
  UnassignPrivateIpAddressesCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: UnassignPrivateIpAddressesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UnassignPrivateIpAddressesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UnassignPrivateIpAddressesCommandInput,
    UnassignPrivateIpAddressesCommandOutput
  >;
  private serialize;
  private deserialize;
}
