import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  EC2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../EC2Client";
import {
  UnassignPrivateNatGatewayAddressRequest,
  UnassignPrivateNatGatewayAddressResult,
} from "../models/models_7";
export interface UnassignPrivateNatGatewayAddressCommandInput
  extends UnassignPrivateNatGatewayAddressRequest {}
export interface UnassignPrivateNatGatewayAddressCommandOutput
  extends UnassignPrivateNatGatewayAddressResult,
    __MetadataBearer {}
export declare class UnassignPrivateNatGatewayAddressCommand extends $Command<
  UnassignPrivateNatGatewayAddressCommandInput,
  UnassignPrivateNatGatewayAddressCommandOutput,
  EC2ClientResolvedConfig
> {
  readonly input: UnassignPrivateNatGatewayAddressCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UnassignPrivateNatGatewayAddressCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: EC2ClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UnassignPrivateNatGatewayAddressCommandInput,
    UnassignPrivateNatGatewayAddressCommandOutput
  >;
  private serialize;
  private deserialize;
}
