import { HeaderBag, QueryParameterBag, Request } from "@aws-sdk/types";
import { Fields } from "./Fields";
export interface HttpRequestOptions {
    method?: string;
    protocol?: string;
    hostname?: string;
    port?: number;
    path?: string;
    query?: QueryParameterBag;
    headers?: HeaderBag;
    body?: any;
}
export interface HttpRequestFromOptions {
    method?: string;
    destination?: URL;
    fields?: Fields;
    body?: any;
}
export interface HttpRequest extends Request {
    method: string;
    destination: URL;
    fields: Fields;
    body?: any;
}
export declare class HttpRequest implements Request {
    method: string;
    destination: URL;
    fields: Fields;
    body?: any;
    /**
     * @deprecated Use protocol in {@link destination}
     */
    protocol: string;
    /**
     * @deprecated Use hostname in {@link destination}
     */
    hostname: string;
    /**
     * @deprecated Use port in {@link destination}
     */
    port?: number;
    /**
     * @deprecated Use pathname in {@link destination}
     */
    path: string;
    /**
     * @deprecated Use searchParams in {@link destination}
     */
    query: QueryParameterBag;
    /**
     * @deprecated Use {@link fields}
     */
    headers: HeaderBag;
    /**
     *
     * @deprecated Use {@link HttpRequest.from}
     */
    constructor(options: HttpRequestOptions);
    static from(options: HttpRequestFromOptions): HttpRequest;
    static isInstance(request: unknown): request is HttpRequest;
    clone(): HttpRequest;
    private static getDefaultDestination;
}
