import { HeaderBag, QueryParameterBag, Request } from "@aws-sdk/types";
import { Fields } from "./Fields";
export interface HttpRequestOptions {
  method?: string;
  protocol?: string;
  hostname?: string;
  port?: number;
  path?: string;
  query?: QueryParameterBag;
  headers?: HeaderBag;
  body?: any;
}
export interface HttpRequestFromOptions {
  method?: string;
  destination?: URL;
  fields?: Fields;
  body?: any;
}
export interface HttpRequest extends Request {
  method: string;
  destination: URL;
  fields: Fields;
  body?: any;
}
export declare class HttpRequest implements Request {
  method: string;
  destination: URL;
  fields: Fields;
  body?: any;
  protocol: string;
  hostname: string;
  port?: number;
  path: string;
  query: QueryParameterBag;
  headers: HeaderBag;
  constructor(options: HttpRequestOptions);
  static from(options: HttpRequestFromOptions): HttpRequest;
  static isInstance(request: unknown): request is HttpRequest;
  clone(): HttpRequest;
  private static getDefaultDestination;
}
